Velocity 3.0.0 and 1.1.9 Released

The Velocity team is pleased to release Velocity 3.0.0. This release introduces a number of features previously slated for Velocity 2.0.0 (now known as Polymer) while retaining compatibility for modern Velocity plugins developed against the 1.1.x API.

In particular, you will be interested in support for localizations (Velocity now speaks your language and can now translate messages sent from plugins natively) and support for asynchronous events (take a look at the wiki for more). Some brief notes on the changes from Velocity 1.1.x to 3.0.0 can be found on the wiki. In addition, Velocity 3.0.0 ensures full compatibility with Java 16 and above and removes some deprecated APIs, along with bug fixes for our command management system.

Velocity 3.0.0, despite not being as wide-encompassing as Polymer, is still not a trivial upgrade for most servers. In particular, some plugins may break when moving to Velocity 3.0.0 from 1.1.x. This is expected - this is why we bumped the major version. In order to ease the transition, we are also making available Velocity 1.1.9, a release of the Velocity 1.1.x series that includes support for Minecraft 1.17.1.

As always, you can get both from our downloads page. Enjoy!

2 Likes